<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddMembersWithFolders Method (IEdmUserGroup7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserGroup7 Interface : AddMembersWithFolders Method (IEdmUserGroup7)

Visual Basic
C#
C++/CLI

poMemberFolders
  Array of EdmMemberFolder structures; one structure for each member folder to add to this user group

Adds the specified members of this user group to the specified folders.

# Syntax

Visual Basic |
--- | ---

    Sub AddMembersWithFolders( _
       ByVal poMemberFolders() As EdmMemberFolder _
    )

C# |
--- | ---

    void AddMembersWithFolders(
       EdmMemberFolder[] poMemberFolders
    )

C++/CLI |
--- | ---

    void AddMembersWithFolders(
    &   array<EdmMemberFolder>^ poMemberFolders
    )

#### Parameters

poMemberFolders
  Array of EdmMemberFolder structures; one structure for each member folder to add to this user group

# Example

Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserGroup7 Interface
IEdmUserGroup7 Members

# Availability

SOLIDWORKS PDM Professional 2011